corda / net.corda.client.model / TrackedDelegate / WritableValueDelegate

# WritableValueDelegate

`class WritableValueDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `WritableValueDelegate(klass: KClass<M>, writableValueProperty: (M) -> WritableValue<T>)`

### Properties

writableValueProperty | `val writableValueProperty: (M) -> WritableValue<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): WritableValue<T>`